Bug 1579004 - Include additional information related to tools repo under Upgrade section of Satellite/Capsule for sat 6.3.0
Summary: Include additional information related to tools repo under Upgrade section of...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Docs Upgrading and Updating Red Hat Satellite
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: Unspecified
Assignee: Stephen Wadeley
QA Contact: Melanie Corr
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-16 18:56 UTC by Kavita
Modified: 2019-09-26 14:56 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-21 13:04:29 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Kavita 2018-05-16 18:56:49 UTC
Document URL: 

Satellite upgrade from 6.2 -> 6.3 failed due to below dependency issue:

Issue is that python-pulp-agent-lib package comes w/ satellite6.2 repo and with 6.3 its moved to tools repo.
The package was installed on satellite because installed packages includes pulp-admin-client along w/ pulp-rpm-admin-extensions or pulp-rpm-handlers.
pulp-rpm-handlers is dependent on python-pulp-agent-lib

For reference, see this BZ -> https://bugzilla.redhat.com/show_bug.cgi?id=1512959

Similar way, 

for Capsule upgrade from 6.2 -> 6.3 failed due to below dependency issue and it is due to gofer/katello-agent package.


Section Number and Name: 

Describe the issue: 

Suggestions for improvement: 

There should be additional note needed under upgrade section of Satellite and Capsule which informs customers to enable tools repo when there is 'pulp-admin-client' package present on Satellite and gofer/katello-agent package on Capsule.

Additional information:

Comment 1 Stephen Wadeley 2018-05-16 19:30:27 UTC
Hello

Thank you for raising this bug.

I thought the problem only existed in the Beta release and that foreman-maintain was improved to take care of this.

Comment 2 Kavita 2018-05-17 07:13:47 UTC

Yes, in foreman-maintain we have considered tools repository while enabling repositories in upgrade. But the thing is we can not force customers to use foreman-maintain. so it would be good to include additional information for customers in the document.

Currently, these dependencies issues found only with katello-agent package on Capsule and pulp-admin-client on Satellite while upgrade 6.2 -> 6.3.


(In reply to Stephen Wadeley from comment #1)
> Hello
> 
> Thank you for raising this bug.
> 
> I thought the problem only existed in the Beta release and that
> foreman-maintain was improved to take care of this.

Comment 4 Stephen Wadeley 2018-05-17 11:44:24 UTC
Hello  Kavita

Would it be OK to offer the choice to remove the pulp-admin-client package or enable the tools repos to get the updated version?


Note You need to log in before you can comment on or make changes to this bug.